import {
    checkContinueMeetingPageList,myContinueMeeting
} from '../../../utils/api/meeting'

Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        //tab的current
        currentPage: 0,
        searchData: {
            data: {
                status: null,
            },
            pageNum: 1,
            pageSize: 5,
        },
        total: null,
        type: ''
    },
    // 获取列表 type-> 1:初始化 2：下拉加载  currentPage-> 0全部1审核中2通过3不通过
    getList(type) {
        let {
            searchData,
            list,
            currentPage
        } = this.data
        if (currentPage == 0) {
            searchData.data.status = null
        } else {
            searchData.data.status = currentPage
        }
        searchData.pageNum = type === 1 ? 1 : (searchData.pageNum + 1)
        this.setData({
            'searchData.pageNum': searchData.pageNum
        })
        wx.showLoading({
            title: '加载中',
          })
        if(this.data.type=='my-renewalContract'){
            myContinueMeeting(searchData).then(res => {
                list = type === 1 ? res.data.records : list.concat(res.data.records)
                this.setData({
                    list: list,
                    total: res.data.total,
                })
                wx.hideLoading()
            })
        }else{
            checkContinueMeetingPageList(searchData).then(res => {
                list = type === 1 ? res.data.records : list.concat(res.data.records)
                this.setData({
                    list: list,
                    total: res.data.total,
                })
                wx.hideLoading()
            })
        }
    },
    // scrollView触底事件
    reachBottom(e) {
        this.getList(e.currentTarget.dataset.type)
    },
    //获得切换tab的index
    changeSwiper(e) {
        var {
            currentPage
        } = this.data;
        switch (e.currentTarget.dataset.type) {
            case 'click':
                currentPage = e.currentTarget.dataset.index
                break;
            case 'slide':
                currentPage = e.detail.current
                break;
            default:
                break;
        };
        this.setData({
            currentPage
        })
        this.getList(1)
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        if (options.type) {
            this.setData({
                type: options.type
            })
        }
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.getList(1)
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})